# $Revision: 1.30 $, $Date: 2006/08/23 04:19:32 $
# TODO
# - split for mod_perl1 and mod_perl2, currently it depends on both
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	AuthCookie
Summary:	Apache::AuthCookie - Perl authentication and authorization via cookies
Summary(pl):	Apache::AuthCookie - uwierzytelnianie i autoryzacja w Perlu za pomoc ,,cookie''
Name:		perl-Apache-AuthCookie
Version:	3.10
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHOUT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8dd9f4a3db329c378f5e5b394c05b5b3
URL:		http://search.cpan.org/dist/Apache-AuthCookie/
BuildRequires:	apache-mod_perl-devel >= 1.24
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	apache-mod_perl >= 1.24
Requires:	perl-dirs >= 1.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::AuthCookie allows you to intercept a user's first
unauthenticated access to a protected document. The user will be
presented with a custom form where they can enter authentication
credentials. The credentials are posted to the server where AuthCookie
verifies them and returns a session key.

This version includes Apache2::AuthCookie for mod_perl2.

%description -l pl
Apache::AuthCookie pozwala na przechwycenie pierwszego
nieautoryzowanego zapytania uytkownika o chroniony dokument.
Uytkownik zobaczy formularz, w ktry bdzie musia wpisa wymagane do
autoryzacji dane. Te dane zostan wysane na serwer, gdzie AuthCookie
zweryfikuje je i zwrci identyfikator sesji.

Ta wersja dostarcza rwnie Apache2::AuthCookie dla mod_perl2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo '!' | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

# tests require working apache and interactive configuration setting
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Apache2/AuthCookie.pm
%{perl_vendorlib}/Apache/AuthCookie.pm
%{perl_vendorlib}/Apache/AuthCookie
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-AuthCookie.spec,v $
Revision 1.30  2006/08/23 04:19:32  glen
- rel 3: %{perl_vendorlib}/Apache2 moved to perl-dirs

Revision 1.29  2006/08/22 17:42:46  glen
- missing dir, rel 2

Revision 1.28  2006/07/25 19:27:18  glen
- 3.10, add generic URL

Revision 1.27  2006/02/27 18:47:02  mguevara
- adds Apache-AuthCookie-mod_perl2-symbols.patch for removing importing
  of no exported by mod_perl2 symbols (Apache2::AuthCookie.pm)

Revision 1.26  2006/02/27 12:09:47  qboosh
- removed files dup

Revision 1.25  2006/02/27 12:01:59  mguevara
- 3.09_01 rel 1
- new url
- added Apache2::AuthCookie::Utils

Revision 1.24  2006/02/27 11:50:31  mguevara
- 3.08 rel 1
- added Apache2::AuthCookie

Revision 1.23  2004/11/11 11:10:29  paladine
- updated to 3.06

Revision 1.22  2004/11/03 19:36:54  paladine
- formatting

Revision 1.21  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.20  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.19  2004/05/06 17:56:58  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.17  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.16  2004/04/11 19:49:57  adamg
- BuildRequires: apache-mod_perl

Revision 1.15  2004/04/10 12:47:03  agaran
- update to 3.05

Revision 1.14  2004/03/09 20:00:24  adamg
- new style bconds

Revision 1.13  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.11  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.10  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:51:07  radek
- release 2, should be ready for perl-5.8.0

Revision 1.6  2003/02/18 15:25:41  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/12/03 21:34:38  ankry
- cleaning

Revision 1.4  2002/10/28 15:38:41  ankry
- updated to 3.04
- added bcond for tests (disabled by default)

Revision 1.3  2002/08/25 19:39:13  ankry
- s/mod_perl/apache-mod_perl/
- cleaning
- release 2, STBR

Revision 1.2  2002/08/17 06:42:59  kloczek
- (auto)updated to 3.02.

Revision 1.1  2002/07/21 20:20:09  radek
- new, should be ok for STBR
